Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Unbounded_Base_Sequence Class Reference

Base class for all bounded sequences. More...

`#include <Sequence.h>`

Inheritance diagram for TAO_Unbounded_Base_Sequence:

[legend]
Collaboration diagram for TAO_Unbounded_Base_Sequence:

[legend]
List of all members.

## Public Methods
void | length (CORBA::ULong length)
| = SPEC {16.11.2} For an unbounded sequence, setting the length to a larger value than the current length may reallocate the sequence data. More...
CORBA::ULong | length (void) const
| return the current length, it cannot go into the base class due to the C++ name lookup rules (if you don't know what I'm talking about, then try moving it there). More...
virtual | ~TAO_Unbounded_Base_Sequence (void)
| destructor. More...
## Protected Methods
| TAO_Unbounded_Base_Sequence (void)
| Default constructor. More...
| TAO_Unbounded_Base_Sequence (CORBA::ULong maximum, CORBA::ULong length, void *buffer, CORBA::Boolean release=0)
| Constructor with control of ownership. More...
| TAO_Unbounded_Base_Sequence (CORBA::ULong maximum, void *buffer)
| Assume ownership and set length to 0. More...

## Detailed Description

Base class for all bounded sequences.

This class implements part of the funcionality common to all bounded sequences, using this intermediate class instead of virtual methods on TAO_Base_Sequence give us a slight improvement of performance, but also reduces the amount of generated code in the templates.

## Constructor & Destructor Documentation

TAO_Unbounded_Base_Sequence::~TAO_Unbounded_Base_Sequence | ( | void |  | ) | `[virtual]`

| destructor.

ACE_INLINE TAO_Unbounded_Base_Sequence::TAO_Unbounded_Base_Sequence | ( | void |  | ) | `[protected]`

| Default constructor.

ACE_INLINE TAO_Unbounded_Base_Sequence::TAO_Unbounded_Base_Sequence | ( | CORBA::ULong | maximum,
|  | CORBA::ULong | length,
|  | void * | buffer,
|  | CORBA::Boolean | release = 0
| ) | `[protected]`

| Constructor with control of ownership.

ACE_INLINE TAO_Unbounded_Base_Sequence::TAO_Unbounded_Base_Sequence | ( | CORBA::ULong | maximum,
|  | void * | buffer
| ) | `[protected]`

| Assume ownership and set length to 0.

## Member Function Documentation

ACE_INLINE CORBA::ULong TAO_Unbounded_Base_Sequence::length | ( | void |  | ) | const

| return the current length, it cannot go into the base class due to the C++ name lookup rules (if you don't know what I'm talking about, then try moving it there).

ACE_INLINE void TAO_Unbounded_Base_Sequence::length | ( | CORBA::ULong | length | ) |

| = SPEC {16.11.2} For an unbounded sequence, setting the length to a larger value than the current length may reallocate the sequence data. Reallocation is conceptually equivalent to creating a new sequence of the desired new length, copying the old sequence elements zero through length into the new sequence, and then assigning the old sequence to be the same as the new sequence.

The documentation for this class was generated from the following files:

- Sequence.h
- Sequence.cpp
- Sequence.i